{% extends 'base.html.twig' %}

{% block title %}Products{% endblock %}

{% block body %}
<ul class="nav bg-dark">
  <li class="nav-item">
    <a class="btn btn-dark" href="/">Home</a>
  </li>
  <li class="nav-item">
    <a class="btn btn-dark" href="/products">Products</a>
  </li>
  <li class="nav-item">
    <a class="btn btn-dark active" href="/category">Categories</a>
  </li>
 
</ul>
<div class="mx-auto">
    <h1>Products</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ product.id }}</td>
            </tr>
            <tr>
                <th>Name</th>
                <td>{{ product.name }}</td>
            </tr>
            <tr>
                <th>Description</th>
                <td>{{ product.description }}</td>
            </tr>
            <tr>
                <th>Quantity</th>
                <td>{{ product.quantity }}</td>
            </tr>
            <tr>
                <th>Price</th>
                <td>{{ product.price }}</td>
            </tr>
            <tr>
                <th>Date</th>
                <td>{{ product.datecreate ? product.datecreate|date('Y-m-d') : '' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('products_index') }}">Back to List</a>

    <a href="{{ path('products_edit', {'id': product.id}) }}">Edit a Product</a>

    {{ include('products/_delete_form.html.twig') }}
    </div>
{% endblock %}
